commit:     d9622ff534d921da62e23446934b89b939410878
Author:     Michael Vetter <jubalh <AT> iodoru <DOT> org>
AuthorDate: Sat Apr 15 18:55:26 2023 +0000
Commit:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 22:05:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9622ff5

lxqt-base/lxqt-panel: add 1.3.0

Signed-off-by: Michael Vetter <jubalh <AT> iodoru.org>
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>

 lxqt-base/lxqt-panel/Manifest                |   1 +
 lxqt-base/lxqt-panel/lxqt-panel-1.3.0.ebuild | 117 +++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/lxqt-base/lxqt-panel/Manifest b/lxqt-base/lxqt-panel/Manifest
index 0249c83df9bc..4b20787b7a84 100644
--- a/lxqt-base/lxqt-panel/Manifest
+++ b/lxqt-base/lxqt-panel/Manifest
@@ -1 +1,2 @@
 DIST lxqt-panel-1.2.0.tar.xz 563852 BLAKE2B 
78822e0a268448e0ffabec2a8418d7b72d585a8644cf7f1ee3fcd4aa6723bfd5f158ee38a3facf4410575a918e3cd4c331427d74c961ea2a17497fc464140d5c
 SHA512 
7042cf585c153524aaa43b074f3a9f5c2848e2baf200134ca8194f4ffceda438e55d2cff6cc1c37274b35491234800d728cd89cec89cb42dc914a5bba924f3b6
+DIST lxqt-panel-1.3.0.tar.xz 610764 BLAKE2B 
96d4f0368a5071badec0c7dfbcb1f5c9592723fa2ca3be81fe47e0cdccd3108451f204c6de95c154d2ca03f7554fe639afd257f72d554682fabc2bd493ab896d
 SHA512 
1bf66db90e4fbd1ec38688b3a27c9dc5ab2e0a71ace74555580c379e9e12211ded61d01fa46484e8a600bb9b30cb3203ec38697ade0a9cb81cb2cd8043af8b97

diff --git a/lxqt-base/lxqt-panel/lxqt-panel-1.3.0.ebuild 
b/lxqt-base/lxqt-panel/lxqt-panel-1.3.0.ebuild
new file mode 100644
index 000000000000..00ca261b2d51
--- /dev/null
+++ b/lxqt-base/lxqt-panel/lxqt-panel-1.3.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="LXQt desktop panel and plugins"
+HOMEPAGE="https://lxqt-project.org/";
+
+MY_PV="$(ver_cut 1-2)"
+
+if [[ ${PV} = *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/lxqt/${PN}.git";
+else
+       
SRC_URI="https://github.com/lxqt/${PN}/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="LGPL-2.1 LGPL-2.1+"
+SLOT="0"
+IUSE="+alsa colorpicker cpuload +desktopswitch +directorymenu dom +kbindicator
++mainmenu +mount networkmonitor pulseaudio +quicklaunch lm-sensors +showdesktop
++spacer +statusnotifier sysstat +taskbar tray +volume +worldclock"
+
+# Work around a missing header issue: https://bugs.gentoo.org/666278
+REQUIRED_USE="
+       || ( desktopswitch mainmenu showdesktop taskbar )
+       volume? ( || ( alsa pulseaudio ) )
+"
+
+BDEPEND="
+       >=dev-qt/linguist-tools-5.15:5
+       >=dev-util/lxqt-build-tools-0.13.0
+       virtual/pkgconfig
+"
+DEPEND="
+       >=dev-libs/libqtxdg-3.11.0
+       >=dev-qt/qtcore-5.15:5
+       >=dev-qt/qtdbus-5.15:5
+       >=dev-qt/qtgui-5.15:5
+       >=dev-qt/qtsvg-5.15:5
+       >=dev-qt/qtwidgets-5.15:5
+       >=dev-qt/qtx11extras-5.15:5
+       >=dev-qt/qtxml-5.15:5
+       kde-frameworks/kwindowsystem:5[X]
+       >=lxde-base/lxmenu-data-0.1.5
+       >=lxde-base/menu-cache-1.1.0
+       =lxqt-base/liblxqt-${MY_PV}*:=
+       =lxqt-base/lxqt-globalkeys-${MY_PV}*
+       x11-libs/libX11
+       cpuload? ( sys-libs/libstatgrab )
+       kbindicator? ( x11-libs/libxkbcommon )
+       lm-sensors? ( sys-apps/lm-sensors:= )
+       mount? ( kde-frameworks/solid:5 )
+       networkmonitor? ( sys-libs/libstatgrab )
+       statusnotifier? (
+               dev-libs/libdbusmenu-qt[qt5(+)]
+               >=dev-qt/qtconcurrent-5.15:5
+       )
+       sysstat? ( >=lxqt-base/libsysstat-0.4.6 )
+       tray? (
+               x11-libs/libxcb:=
+               x11-libs/libXcomposite
+               x11-libs/libXdamage
+               x11-libs/libXrender
+               x11-libs/xcb-util
+       )
+       volume? (
+               alsa? ( media-libs/alsa-lib )
+               pulseaudio? (
+                       media-sound/pavucontrol-qt
+                       media-sound/pulseaudio
+               )
+       )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               # Plugins
+               -DCOLORPICKER_PLUGIN=$(usex colorpicker)
+               -DCPULOAD_PLUGIN=$(usex cpuload)
+               -DDESKTOPSWITCH_PLUGIN=$(usex desktopswitch)
+               -DDIRECTORYMENU_PLUGIN=$(usex directorymenu)
+               -DDOM_PLUGIN=$(usex dom)
+               -DKBINDICATOR_PLUGIN=$(usex kbindicator)
+               -DMAINMENU_PLUGIN=$(usex mainmenu)
+               -DMOUNT_PLUGIN=$(usex mount)
+               -DNETWORKMONITOR_PLUGIN=$(usex networkmonitor)
+               -DQUICKLAUNCH_PLUGIN=$(usex quicklaunch)
+               -DSENSORS_PLUGIN=$(usex lm-sensors)
+               -DSHOWDESKTOP_PLUGIN=$(usex showdesktop)
+               -DSPACER_PLUGIN=$(usex spacer)
+               -DSTATUSNOTIFIER_PLUGIN=$(usex statusnotifier)
+               -DSYSSTAT_PLUGIN=$(usex sysstat)
+               -DTASKBAR_PLUGIN=$(usex taskbar)
+               -DTRAY_PLUGIN=$(usex tray)
+               -DVOLUME_PLUGIN=$(usex volume)
+               -DWORLDCLOCK_PLUGIN=$(usex worldclock)
+       )
+
+       if use volume; then
+               mycmakeargs+=(
+                       -DVOLUME_USE_ALSA=$(usex alsa)
+                       -DVOLUME_USE_PULSEAUDIO=$(usex pulseaudio)
+               )
+       fi
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       doman panel/man/*.1
+}

Reply via email to